ClientResourcesDeployReport (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientResourcesDeployReport

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientResourcesDeployReport

- All Implemented Interfaces:
    Serializable

      public class ClientResourcesDeployReport
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientResourcesDeployReport()`
    `ClientResourcesDeployReport(DeployStatus globalstatus, List<ClientResource> resources)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ClientResource>` | `getResources()`
    `DeployStatus` | `getStatus()`
    `void` | `setResources(List<ClientResource> resources)`
    `void` | `setStatus(DeployStatus globalstatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientResourcesDeployReport

          public ClientResourcesDeployReport()

    - #### ClientResourcesDeployReport

          public ClientResourcesDeployReport(DeployStatus globalstatus,
                                     List<ClientResource> resources)

      Parameters:
        `globalstatus` - -
        `resources` - -

  - ### Method Detail

    - #### getStatus

          public DeployStatus getStatus()

      Returns:
        -

    - #### setStatus

          public void setStatus(DeployStatus globalstatus)

      Parameters:
        `globalstatus` - -

    - #### getResources

          public List<ClientResource> getResources()

      Returns:
        -

    - #### setResources

          public void setResources(List<ClientResource> resources)

      Parameters:
        `resources` - -

Copyright © 2015. All Rights Reserved.